Package ru.bitel.bgbilling.kernel.script.common.bean

# Class ScriptBackup

java.lang.Object
ru.bitel.common.model.Id
ru.bitel.common.model.IdTitle
ru.bitel.bgbilling.kernel.script.common.bean.Script
ru.bitel.bgbilling.kernel.script.common.bean.ScriptBackup

All Implemented Interfaces:
  `Serializable`, `GuiTitlable`, `Idable`, `ListItem`

public class ScriptBackup extends Script
Резервные копии скриптов.

See Also:
  - Serialized Form

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `FUNCTION`
  `static final int`
  `GLOBAL`
  `static final int`
  `LIBRARY`

  ### Fields inherited from class ru.bitel.common.model.IdTitle

  `NO_SELECT`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ScriptBackup()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `String`
  `getComment()`
  Возвращает комментарий.
  `int`
  `getScriptId()`
  Возвращает ссылку на скрипт.
  `int`
  `getType()`
  Возвращает тип скрипта.
  `void`
  `setComment(String comment)`
  Устанавливает комментарий.
  `void`
  `setScriptBackup(Script script, int type)`
  `void`
  `setScriptId(int scriptId)`
  Устанавливает ссылку на скрипт.
  `void`
  `setType(int type)`
  Устанавливает тип скрипта.

  ### Methods inherited from class ru.bitel.bgbilling.kernel.script.common.bean.Script

  `getRevision, getScript, getTimeRevision, getUserId, setRevision, setScript, setTimeRevision, setUserId`

  ### Methods inherited from class ru.bitel.common.model.IdTitle

  `copyTo, getGuiTitle, getTitle, setAsNoSelect, setId, setTitle, to, toIdTitle, toString`

  ### Methods inherited from class ru.bitel.common.model.Id

  `copyTo, equals, getId, hashCode, newIdList, newIdSet, newIdSet, newIdSet, newIdSet, newMap`

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

  ### Methods inherited from interface ru.bitel.common.model.ListItem

  `getId`

- ## Field Details

  - ### GLOBAL

    public static final int GLOBAL
    See Also:
      - Constant Field Values

  - ### FUNCTION

    public static final int FUNCTION
    See Also:
      - Constant Field Values

  - ### LIBRARY

    public static final int LIBRARY
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ScriptBackup

    public ScriptBackup()

- ## Method Details

  - ### setScriptId

    public void setScriptId(int scriptId)
    Устанавливает ссылку на скрипт.
    Parameters:
      `scriptId` -

  - ### getScriptId

    public int getScriptId()
    Возвращает ссылку на скрипт.
    Returns:
      код скрипта.

  - ### setComment

    public void setComment(String comment)
    Устанавливает комментарий.
    Parameters:
      `comment` -

  - ### getComment

    public String getComment()
    Возвращает комментарий.
    Returns:
      комментарий к резервной копии.

  - ### setScriptBackup

    public void setScriptBackup(Script script, int type)

  - ### setType

    public void setType(int type)
    Устанавливает тип скрипта.
    Parameters:
      `type` -

  - ### getType

    public int getType()
    Возвращает тип скрипта.
    Returns:
      тип скрипта.